# haplohub
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 1.0.0
- Generator version: 7.11.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonPydanticV1ClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import haplohub
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import haplohub
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import haplohub
from haplohub.rest import ApiException
from pprint import pprint

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization: 
configuration = haplohub.Configuration(
    access_token=os.environ["API_KEY"]
)


# Enter a context with an instance of the API client
with haplohub.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = haplohub.PredictionsApi(api_client)
    prediction_id = 'prediction_id_example' # str | 

    try:
        # Get prediction
        api_response = api_instance.get_prediction(prediction_id)
        print("The response of PredictionsApi->get_prediction:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling PredictionsApi->get_prediction: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PredictionsApi* | [**get_prediction**](docs/PredictionsApi.md#get_prediction) | **GET** /api/v1/predictions/{prediction_id}/ | Get prediction
*PredictionsApi* | [**get_prediction_results**](docs/PredictionsApi.md#get_prediction_results) | **GET** /api/v1/predictions/{prediction_id}/results/ | Get prediction results
*PredictionsApi* | [**list_predictions**](docs/PredictionsApi.md#list_predictions) | **GET** /api/v1/predictions/ | List predictions
*PredictionsApi* | [**run_prediction**](docs/PredictionsApi.md#run_prediction) | **POST** /api/v1/predictions/ | Run prediction
*DefaultApi* | [**status**](docs/DefaultApi.md#status) | **GET** /api/v1/status/ | Status


## Documentation For Models

 - [ErrorResponse](docs/ErrorResponse.md)
 - [ErrorSchema](docs/ErrorSchema.md)
 - [GetPredictionResponse](docs/GetPredictionResponse.md)
 - [GetPredictionResultsResponse](docs/GetPredictionResultsResponse.md)
 - [PaginatedResponsePredictionSchema](docs/PaginatedResponsePredictionSchema.md)
 - [PredictionResultsSchema](docs/PredictionResultsSchema.md)
 - [PredictionSchema](docs/PredictionSchema.md)
 - [PredictionStatus](docs/PredictionStatus.md)
 - [Response](docs/Response.md)
 - [Response1](docs/Response1.md)
 - [Response2](docs/Response2.md)
 - [Response3](docs/Response3.md)
 - [ResponseStatus](docs/ResponseStatus.md)
 - [RunPredictionRequest](docs/RunPredictionRequest.md)
 - [RunPredictionResponse](docs/RunPredictionResponse.md)
 - [SuccessResponse](docs/SuccessResponse.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="ApiAuthBearer"></a>
### ApiAuthBearer

- **Type**: Bearer authentication


## Author




